> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the payment instructions submitted for a mass payment

> Fetch the payment instructions submitted for a mass payment



## OpenAPI

````yaml /openapi/ebury-api-public.json get /mass-payments/{mass_payment_id}/payments-received
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://api.ebury.io
    description: Production
  - url: https://api.ebury.builders
    description: Sandbox
security: []
paths:
  /mass-payments/{mass_payment_id}/payments-received:
    get:
      tags:
        - Mass Payments
      summary: Fetch the payment instructions submitted for a mass payment
      description: Fetch the payment instructions submitted for a mass payment
      parameters:
        - $ref: '#/components/parameters/MassPaymentId'
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/Authorization'
        - description: The desired page number for pagination. By default is 1.
          in: query
          name: page
          required: false
          schema:
            type: integer
            format: int32
        - description: The number of items per page for pagination. By default is 50.
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of payment instructions
          headers:
            x-total-count:
              description: Total number of payment instructions available
              schema:
                type: integer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MassPaymentPaymentsReceivedResponse'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          description: Invalid mass payment id
        '429':
          description: Too many requests
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    MassPaymentId:
      description: The ID of the mass payment.
      in: path
      name: mass_payment_id
      required: true
      schema:
        type: string
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    MassPaymentPaymentsReceivedResponse:
      items:
        $ref: '#/components/schemas/NewMultiPaymentItem'
      type: array
    NewMultiPaymentItem:
      description: >-
        A payment instruction. Identify the beneficiary either with `account_id`
        and `beneficiary_id` of an existing beneficiary, or with the full bank
        details (`account_number`, `bank_address`, `bank_code`, `bank_country`,
        `bank_name`, `beneficiary_country`, `beneficiary_name`, `iban`,
        `swift_code`, plus `beneficiary_address` when structured address fields
        are not used). The two options are mutually exclusive. Exactly one of
        `payment_reference` or `reference` (deprecated) must be supplied.
      required:
        - direction
        - payment_amount
        - payment_currency
        - reason_for_trade
        - trade_type
        - value_date
      properties:
        account_id:
          description: >-
            The ID of an existing beneficiary bank account. Required together
            with `beneficiary_id` when bank details are not supplied
          type: string
          pattern: .*[0-9].*
        beneficiary_id:
          description: >-
            The ID of an existing beneficiary. Required together with
            `account_id` when bank details are not supplied
          type: string
          minLength: 1
        account_number:
          description: Destination account number
          type: string
          nullable: true
        bank_address:
          description: Destination bank address
          type: string
          nullable: true
        bank_code:
          description: Destination bank code
          type: string
          nullable: true
        bank_country:
          description: Destination bank country
          type: string
          minLength: 1
        bank_name:
          description: Destination bank name
          type: string
          nullable: true
        beneficiary_address:
          description: Address of beneficiary
          type: string
          nullable: true
        beneficiary_name:
          description: Name of beneficiary
          type: string
          minLength: 1
          nullable: true
        beneficiary_country:
          description: Country of beneficiary
          type: string
          nullable: true
        direction:
          description: Type of payment, 'buy' or 'sell'
          type: string
          enum:
            - buy
            - sell
        iban:
          description: IBAN of the destination account
          type: string
          nullable: true
        payment_currency:
          description: Destination currency
          type: string
          minLength: 1
        payment_amount:
          description: Amount to be paid
          type: number
          format: float
          minimum: 0
        reason_for_trade:
          description: Reason for trade
          type: string
          nullable: true
        payment_reference:
          description: Reference of payment
          type: string
          nullable: true
        swift_code:
          description: SWIFT code of destination bank
          type: string
          nullable: true
        trade_type:
          description: Type of trade. 'spot' is the only supported value at the moment
          type: string
          enum:
            - spot
        value_date:
          description: Date when the transaction will be performed
          type: string
          nullable: true
        beneficiary_reference:
          description: Reference of beneficiary
          type: string
          nullable: true
        purpose_of_payment:
          description: Text describing the purpose of the payment
          type: string
          nullable: true
        reference:
          description: Payment reference. Deprecated, use `payment_reference`
          type: string
          nullable: true
          deprecated: true
        inn:
          description: The INN of the bank account
          type: string
          pattern: ^[0-9]{10}([0-9]{2})?$
          nullable: true
        vo:
          description: The VO of the bank account
          type: string
          nullable: true
        kio:
          description: The KIO of the bank account
          type: string
          nullable: true
        russian_central_bank_account:
          description: Russian central bank account
          type: string
          nullable: true
        external_reference_id:
          description: >-
            External reference for this payment instruction. Maximum 128
            characters
          type: string
          maxLength: 128
          pattern: ^[\sa-zA-Z0-9,\.:'\+\(\)\?\-/]*$
          nullable: true
        beneficiary_street_name:
          description: Street name of the beneficiary address
          type: string
          maxLength: 70
          nullable: true
        beneficiary_building_number:
          description: Building number of the beneficiary address
          type: string
          maxLength: 16
          nullable: true
        beneficiary_floor:
          description: Floor of the beneficiary address
          type: string
          maxLength: 70
          nullable: true
        beneficiary_apartment_office_number:
          description: Apartment or office number of the beneficiary address
          type: string
          maxLength: 70
          nullable: true
        beneficiary_city:
          description: City of the beneficiary address
          type: string
          maxLength: 35
          nullable: true
        beneficiary_state_region:
          description: State or region of the beneficiary address
          type: string
          maxLength: 35
          nullable: true
        beneficiary_post_code:
          description: Post code of the beneficiary address
          type: string
          maxLength: 16
          nullable: true
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  responses:
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````